Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script
Class ScriptException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.engine.api.script.ScriptException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptException

extends org.eclipse.birt.core.exception.BirtException

Exception thrown in scripting.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`ScriptException(java.lang.String message)`
`ScriptException(java.lang.String message, java.lang.Throwable root)`
`ScriptException(java.lang.Throwable root)`

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`protected java.lang.String` | `getLocalizedMessage(java.lang.String errorCode)`
`java.lang.String` | `getMessage()`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptException

    public ScriptException(java.lang.String message)

### ScriptException

    public ScriptException(java.lang.Throwable root)

### ScriptException

    public ScriptException(java.lang.String message,
                           java.lang.Throwable root)

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getLocalizedMessage

    protected java.lang.String getLocalizedMessage(java.lang.String errorCode)

  Overrides:
    `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.